Bug 38851 - Bash v2.04 does not pass exported functions to subshells
Summary: Bash v2.04 does not pass exported functions to subshells
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-02 21:48 UTC by Drew Moseley
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 21:48:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Drew Moseley 2001-05-02 21:48:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.1 i686)


If I do "export -f function_foo; bash" I no longer have "function_foo" in
my environment.

I verified that this problem does not exist in bash 2.5 from ftp.gnu.org.


Reproducible: Always
Steps to Reproduce:
1. function foo() { echo HI; }
2. export -f foo
3. bash
4. type -all foo

	

Actual Results:  bash: type: foo: not found


Expected Results:  foo is a function
foo () 
{ 
    echo HI
}

Comment 1 Bernhard Rosenkraenzer 2001-05-03 12:33:32 UTC
Fixed in 2.05-1



Note You need to log in before you can comment on or make changes to this bug.